#!/usr/bin/env python
#################################################################################
# c2005-2006 by Paul Sherman                                                    #
# <psherma1@rochester.rr.com> http://www.pcbypaul.com                           #
#                                                                               #
# This program is free software; you can redistribute it and/or                 #
# modify it under the terms of the GNU General Public License                   #
# as published by the Free Software Foundation; either version 2                #
# of the License, or (at your option) any later version.                        #
#                                                                               #
# This program is distributed in the hope that it will be useful,               #
# but WITHOUT ANY WARRANTY; without even the implied warranty of                #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                 #
# GNU General Public License for more details.                                  #
#                                                                               #
# You should have received a copy of the GNU General Public License             #
# along with this program; if not, write to the Free Software                   #
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.   #
#################################################################################
'''
	Installation script for GAMMApage utility
'''
from distutils.core import setup

import version as info

version      = info.__version__
url          = info.__url__
author       = info.__author__
author_email = info.__authoremail__

long_description = '''
A gamma-adjusting utility for your monitor. Written in Python using GTK and \
pyGTK. Able to adjust gamma on the fly and save settings to be used at each \
login (on a per-user basis. GAMMApage will only write to the user's home \
directory.)'''

setup(
	name='GAMMApage',
	version=version,
	description = 'Gamma adjusting utility for your monitor',
	author=author,
	author_email = author_email,
	url=url,
	download_url = '%s/dl/gammapage-%s.tar.gz' % (url, version),
	license = 'GPL',
	platforms = ['Linux'],
	long_description=long_description,
	scripts = ['GAMMApage']
     )

